package ${domain}.module.wsys.req;

import ${domain}.frame.base.BaseFindRequest;

import java.util.Date;

/**
 * VisitorFindRequest - 应用接入查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class VisitorFindRequest extends BaseFindRequest {

    /**
     * 应用名称.
     */
    private String appName;

    /**
     * 应用码.
     */
    private String appKey;

    /**
     * 安全码.
     */
    private String appSecret;

    /**
     * 是否有效.
     */
    private Boolean valid;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public String getAppName() {
        return this.appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppKey() {
        return this.appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return this.appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
